Subject: bug#17948: 24.3; cperl: Needs an equivalent to `c-file-style'

From: Harald Jörg <[email-masked]>
Date: Tue, 09 Jan 2024 18:23:05 +0000

john muhl <[email-masked]> writes:

> Harald Jörg <[email-masked]> writes:
> 
>> Eli Zaretskii writes:
>>
>>>> Cc: Lars Ingebrigtsen <[email-masked]>, Stefan Kangas <[email-masked]>
>>>> From: Harald Jörg <[email-masked]>
>>>> Date: Mon, 08 Jan 2024 08:23:35 +0000
>>>> [...]
>>>> I suggest this patch should go to the emacs-29 branch.
>>>
>>> Sorry, no new commands/features on the release branch at this time.
>>> This should go to master.
>>>
>>> Thanks.
>>
>> Thanks for reviewing!
>>
>> I understand - and have now pushed the patch to master.
>
> This commit causes a couple of cperl-mode indent tests to start
> failing. Attached is the log from running:
>
>   make -k -C test check-lisp-progmodes

Indeed: I forgot to push the tests.  They need to use the new command to
make sure that settings don't bleed out into the following tests.

My bad.  I should have double-checked that.
Pushed now.
-- 
Cheers,
haj